<div *ngIf="!loading">

  <div class="confirm-modal-head p-4">

    <div class="flex justify-between items-center mb-4">
      <h1 mat-dialog-title class="mb-0">CACAO Deposit Failed</h1>
    </div>

    <div class="flex justify-between transaction-detail">

      <div class="flex items-center">
        <div class="asset-icon-container flex items-center mr-4">
          <img *ngIf="cacao && cacao.iconPath" [src]="cacao.iconPath" appImgFallback />
          <mat-icon *ngIf="!cacao || !cacao.iconPath">help_outline</mat-icon>
        </div>
        <span class="text-xl mr-2">{{cacaoAmount}}</span>
      </div>

      <span>{{cacao.ticker}}</span>

    </div>

  </div>

  <div class="clear-both">
    <div mat-dialog-content class="confirm-modal-content">
      <span *ngIf="asset && !resubmitError" class="flex py-2">
        It looks like the {{asset.ticker}} deposit suceeded, but there was an error depositing the CACAO.
        The error is: "{{errorMessage}}".
        We use symmetrical deposits, which means MayaChain is waiting for the CACAO deposit to register you as a pool member.<br />
        Let's try depositing your CACAO again...
      </span>

      <span *ngIf="resubmitError">It looks like resubmitting CACAO failed. The error is: "{{resubmitError}}"</span>

      <app-asset-input
        label="Input"
        [(selectedAsset)]="cacao"
        [(assetUnit)]="cacaoAmount"
        [balance]="cacaoBalance"
        [hideMax]="true"
        [disabledMarketSelect]="true">
      </app-asset-input>

      <div class="clear-both">
        <div mat-dialog-content class="confirm-modal-content flex">

          <button *ngIf="!loading && retryCount < 3" (click)="resubmitCacaoDeposit()" mat-flat-button color="primary" class="main-action-btn w-full">
            <span>Resubmit CACAO</span>
          </button>

          <button *ngIf="!loading && retryCount >= 3" (click)="navigateDepositSymRecovery()" mat-flat-button color="primary" class="main-action-btn w-full">
            <span>Navigate Sym Deposit Recovery</span>
          </button>

        </div>
      </div>
    </div>
  </div>

</div>

<app-transaction-processing-modal
  *ngIf="loading"
  [transactionDetail]="processingMessage">
</app-transaction-processing-modal>
